incubator-bigtop-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aba...@apache.org
Subject svn commit: r1162221 - in /incubator/bigtop/trunk: ./ src/pkg/common/mahout/ src/pkg/deb/mahout/ src/pkg/rpm/mahout/ src/pkg/rpm/mahout/BUILD/ src/pkg/rpm/mahout/RPMS/ src/pkg/rpm/mahout/SOURCES/ src/pkg/rpm/mahout/SPECS/ src/pkg/rpm/mahout/SRPMS/
Date Fri, 26 Aug 2011 19:39:06 GMT
Author: abayer
Date: Fri Aug 26 19:39:05 2011
New Revision: 1162221

URL: http://svn.apache.org/viewvc?rev=1162221&view=rev
Log:
Fixes BIGTOP-11. Adds Apache Mahout (0.5) to Bigtop.

Added:
    incubator/bigtop/trunk/src/pkg/common/mahout/
    incubator/bigtop/trunk/src/pkg/common/mahout/install_mahout.sh   (with props)
    incubator/bigtop/trunk/src/pkg/deb/mahout/
    incubator/bigtop/trunk/src/pkg/deb/mahout/changelog
    incubator/bigtop/trunk/src/pkg/deb/mahout/compat
    incubator/bigtop/trunk/src/pkg/deb/mahout/control
    incubator/bigtop/trunk/src/pkg/deb/mahout/copyright
    incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.preinst
    incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.prerm
    incubator/bigtop/trunk/src/pkg/deb/mahout/rules   (with props)
    incubator/bigtop/trunk/src/pkg/rpm/mahout/
    incubator/bigtop/trunk/src/pkg/rpm/mahout/BUILD/
    incubator/bigtop/trunk/src/pkg/rpm/mahout/BUILD/.gitignore
    incubator/bigtop/trunk/src/pkg/rpm/mahout/RPMS/
    incubator/bigtop/trunk/src/pkg/rpm/mahout/RPMS/.gitignore
    incubator/bigtop/trunk/src/pkg/rpm/mahout/SOURCES/
    incubator/bigtop/trunk/src/pkg/rpm/mahout/SOURCES/.gitignore
    incubator/bigtop/trunk/src/pkg/rpm/mahout/SPECS/
    incubator/bigtop/trunk/src/pkg/rpm/mahout/SPECS/mahout.spec
    incubator/bigtop/trunk/src/pkg/rpm/mahout/SRPMS/
    incubator/bigtop/trunk/src/pkg/rpm/mahout/SRPMS/.gitignore
Modified:
    incubator/bigtop/trunk/bigtop.mk

Modified: incubator/bigtop/trunk/bigtop.mk
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/bigtop.mk?rev=1162221&r1=1162220&r2=1162221&view=diff
==============================================================================
--- incubator/bigtop/trunk/bigtop.mk (original)
+++ incubator/bigtop/trunk/bigtop.mk Fri Aug 26 19:39:05 2011
@@ -112,6 +112,18 @@ WHIRR_TARBALL_SRC=$(WHIRR_TARBALL_DST)
 WHIRR_SITE=$(APACHE_MIRROR)//incubator/whirr/whirr-0.5.0-incubating/
 $(eval $(call PACKAGE,whirr,WHIRR))
 
+# Mahout
+MAHOUT_NAME=mahout
+MAHOUT_RELNOTES_NAME=Apache Mahout
+MAHOUT_PKG_NAME=mahout
+MAHOUT_BASE_VERSION=0.5
+MAHOUT_PKG_VERSION=0.5
+MAHOUT_RELEASE_VERSION=1
+MAHOUT_TARBALL_DST=mahout-distribution-$(MAHOUT_BASE_VERSION)-src.tar.gz
+MAHOUT_TARBALL_SRC=$(MAHOUT_TARBALL_DST)
+MAHOUT_SITE=$(APACHE_MIRROR)/mahout/0.5/
+$(eval $(call PACKAGE,mahout,MAHOUT))
+
 # Flume
 FLUME_NAME=flume
 FLUME_RELNOTES_NAME=Flume

Added: incubator/bigtop/trunk/src/pkg/common/mahout/install_mahout.sh
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/common/mahout/install_mahout.sh?rev=1162221&view=auto
==============================================================================
--- incubator/bigtop/trunk/src/pkg/common/mahout/install_mahout.sh (added)
+++ incubator/bigtop/trunk/src/pkg/common/mahout/install_mahout.sh Fri Aug 26 19:39:05 2011
@@ -0,0 +1,130 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+usage() {
+  echo "
+usage: $0 <options>
+  Required not-so-options:
+     --build-dir=DIR             path to Mahout dist.dir
+     --prefix=PREFIX             path to install into
+
+  Optional options:
+     --doc-dir=DIR               path to install docs into [/usr/share/doc/mahout]
+     --lib-dir=DIR               path to install Mahout home [/usr/lib/mahout]
+     --installed-lib-dir=DIR     path where lib-dir will end up on target system
+     --bin-dir=DIR               path to install bins [/usr/bin]
+     --examples-dir=DIR          path to install examples [doc-dir/examples]
+     ... [ see source for more similar options ]
+  "
+  exit 1
+}
+
+OPTS=$(getopt \
+  -n $0 \
+  -o '' \
+  -l 'prefix:' \
+  -l 'doc-dir:' \
+  -l 'lib-dir:' \
+  -l 'installed-lib-dir:' \
+  -l 'bin-dir:' \
+  -l 'examples-dir:' \
+  -l 'build-dir:' -- "$@")
+
+if [ $? != 0 ] ; then
+    usage
+fi
+
+eval set -- "$OPTS"
+while true ; do
+    case "$1" in
+        --prefix)
+        PREFIX=$2 ; shift 2
+        ;;
+        --build-dir)
+        BUILD_DIR=$2 ; shift 2
+        ;;
+        --doc-dir)
+        DOC_DIR=$2 ; shift 2
+        ;;
+        --lib-dir)
+        LIB_DIR=$2 ; shift 2
+        ;;
+        --installed-lib-dir)
+        INSTALLED_LIB_DIR=$2 ; shift 2
+        ;;
+        --bin-dir)
+        BIN_DIR=$2 ; shift 2
+        ;;
+        --examples-dir)
+        EXAMPLES_DIR=$2 ; shift 2
+        ;;
+        --)
+        shift ; break
+        ;;
+        *)
+        echo "Unknown option: $1"
+        usage
+        exit 1
+        ;;
+    esac
+done
+
+for var in PREFIX BUILD_DIR ; do
+  if [ -z "$(eval "echo \$$var")" ]; then
+    echo Missing param: $var
+    usage
+  fi
+done
+
+MAN_DIR=${MAN_DIR:-/usr/share/man/man1}
+DOC_DIR=${DOC_DIR:-/usr/share/doc/mahout}
+LIB_DIR=${LIB_DIR:-/usr/lib/mahout}
+INSTALLED_LIB_DIR=${INSTALLED_LIB_DIR:-/usr/lib/mahout}
+EXAMPLES_DIR=${EXAMPLES_DIR:-$DOC_DIR/examples}
+BIN_DIR=${BIN_DIR:-/usr/bin}
+CONF_DIR=${CONF_DIR:-/etc/mahout/conf.dist}
+
+install -d -m 0755 $PREFIX/$LIB_DIR
+install -d -m 0755 $PREFIX/$LIB_DIR/bin
+install -d -m 0755 $PREFIX/$LIB_DIR/lib
+install -d -m 0755 $PREFIX/$DOC_DIR
+
+cp -ra ${BUILD_DIR}/lib/* $PREFIX/${LIB_DIR}/lib/
+cp ${BUILD_DIR}/mahout*.jar $PREFIX/$LIB_DIR
+cp ${BUILD_DIR}/mahout*.war $PREFIX/$LIB_DIR
+cp -a ${BUILD_DIR}/*.txt $PREFIX/$DOC_DIR
+cp -a ${BUILD_DIR}/bin/* $PREFIX/${LIB_DIR}/bin
+
+# Copy in the configuration files
+install -d -m 0755 $PREFIX/$CONF_DIR
+cp -a ${BUILD_DIR}/conf/* $PREFIX/$CONF_DIR
+ln -s /etc/mahout/conf $PREFIX/$LIB_DIR/conf
+
+# Copy in the /usr/bin/mahout wrapper
+install -d -m 0755 $PREFIX/$BIN_DIR
+cat > $PREFIX/$BIN_DIR/mahout <<EOF
+#!/bin/sh
+export MAHOUT_HOME=\${MAHOUT_HOME:-$INSTALLED_LIB_DIR}
+export MAHOUT_CONF_DIR=\${MAHOUT_CONF_DIR:-$CONF_DIR}
+export HADOOP_CONF_DIR=\${HADOOP_CONF_DIR:-/etc/hadoop/conf}
+export HADOOP_HOME=\${HADOOP_HOME:-/usr/lib/hadoop}
+exec $INSTALLED_LIB_DIR/bin/mahout "\$@"
+EOF
+chmod 755 $PREFIX/$BIN_DIR/mahout
+

Propchange: incubator/bigtop/trunk/src/pkg/common/mahout/install_mahout.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Added: incubator/bigtop/trunk/src/pkg/deb/mahout/changelog
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/deb/mahout/changelog?rev=1162221&view=auto
==============================================================================
--- incubator/bigtop/trunk/src/pkg/deb/mahout/changelog (added)
+++ incubator/bigtop/trunk/src/pkg/deb/mahout/changelog Fri Aug 26 19:39:05 2011
@@ -0,0 +1 @@
+--- This is auto-generated 

Added: incubator/bigtop/trunk/src/pkg/deb/mahout/compat
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/deb/mahout/compat?rev=1162221&view=auto
==============================================================================
--- incubator/bigtop/trunk/src/pkg/deb/mahout/compat (added)
+++ incubator/bigtop/trunk/src/pkg/deb/mahout/compat Fri Aug 26 19:39:05 2011
@@ -0,0 +1 @@
+6

Added: incubator/bigtop/trunk/src/pkg/deb/mahout/control
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/deb/mahout/control?rev=1162221&view=auto
==============================================================================
--- incubator/bigtop/trunk/src/pkg/deb/mahout/control (added)
+++ incubator/bigtop/trunk/src/pkg/deb/mahout/control Fri Aug 26 19:39:05 2011
@@ -0,0 +1,44 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+Source: mahout
+Section: misc
+Priority: extra
+Maintainer: Andrew Bayer <abayer@apache.org>
+Build-Depends: debhelper (>= 6), git-core
+Standards-Version: 3.8.0
+Homepage: http://mahout.apache.org
+
+Package:  mahout
+Architecture: all
+Depends: hadoop 
+Description: Mahout is a set of Java libraries for scalable machine learning.
+ Mahout's goal is to build scalable machine learning libraries. 
+ With scalable we mean:
+ .
+ Scalable to reasonably large data sets. Our core algorithms for clustering,
+ classfication and batch based collaborative filtering are implemented on top of
+ Apache Hadoop using the map/reduce paradigm. However we do not restrict
+ contributions to Hadoop based implementations: Contributions that run on a
+ single node or on a non-Hadoop cluster are welcome as well. The core libraries
+ are highly optimized to allow for good performance also for non-distributed
+ algorithms.
+ Scalable to support your business case. Mahout is distributed under a 
+ commercially friendly Apache Software license.
+ Scalable community. The goal of Mahout is to build a vibrant, responsive,
+ diverse community to facilitate discussions not only on the project itself but
+ also on potential use cases. Come to the mailing lists to find out more.
+
+

Added: incubator/bigtop/trunk/src/pkg/deb/mahout/copyright
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/deb/mahout/copyright?rev=1162221&view=auto
==============================================================================
--- incubator/bigtop/trunk/src/pkg/deb/mahout/copyright (added)
+++ incubator/bigtop/trunk/src/pkg/deb/mahout/copyright Fri Aug 26 19:39:05 2011
@@ -0,0 +1,15 @@
+Format: http://dep.debian.net/deps/dep5
+Source: http://mahout.apache.org/
+Upstream-Name: Apache Mahout
+
+Files: *
+Copyright: 2010-2011, The Apache Software Foundation
+License: Apache-2.0
+
+Files debian/*
+Copyright: 2011, The Apache Software Foundation
+License: Apache-2.0
+
+License: Apache-2.0
+ On Debian systems, the complete text of the Apache 2.0 license
+ can be found in "/usr/share/common-licenses/Apache-2.0".

Added: incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.preinst
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.preinst?rev=1162221&view=auto
==============================================================================
--- incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.preinst (added)
+++ incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.preinst Fri Aug 26 19:39:05 2011
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+case "$1" in
+    configure)
+        # Install config alternatives
+        update-alternatives  --install /etc/mahout/conf mahout-conf /etc/mahout/conf.dist
30
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#

Added: incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.prerm
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.prerm?rev=1162221&view=auto
==============================================================================
--- incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.prerm (added)
+++ incubator/bigtop/trunk/src/pkg/deb/mahout/mahout.prerm Fri Aug 26 19:39:05 2011
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+
+case "$1" in
+    remove|upgrade|deconfigure)
+      update-alternatives --remove mahout-conf /etc/mahout/conf.dist
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Added: incubator/bigtop/trunk/src/pkg/deb/mahout/rules
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/deb/mahout/rules?rev=1162221&view=auto
==============================================================================
--- incubator/bigtop/trunk/src/pkg/deb/mahout/rules (added)
+++ incubator/bigtop/trunk/src/pkg/deb/mahout/rules Fri Aug 26 19:39:05 2011
@@ -0,0 +1,94 @@
+#!/usr/bin/make -f
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+patch: patch-stamp
+patch-stamp:	
+	touch $@
+
+clean:	
+	dh_testdir
+	dh_testroot
+	rm -f *-stamp
+	dh_clean
+	rm -Rf debian/tmp debian/mahout
+	find debian -name .\*swp -exec rm -f {} \;
+
+build-indep: build-indep-stamp
+build-indep-stamp: patch-stamp
+	# we'll just use the build from the tarball.
+	(export DO_MAVEN_DEPLOY="";mvn clean install -Dmahout.skip.distribution=false -Dmaven.repo.local=${HOME}/.m2/repository
-DskipTests)
+	mkdir -p debian/tmp
+	(cd distribution/target/mahout-distribution-${MAHOUT_BASE_VERSION}/mahout-distribution-${MAHOUT_BASE_VERSION}
&& tar cf - --exclude=debian/\* .) | (cd debian/tmp && tar xf -)
+#	(cd debian/tmp && tar xvzf ../../distribution/target/mahout-distribution-${MAHOUT_BASE_VERSION}.tar.gz)
+	touch $@
+
+install: install-indep
+install-indep:	
+	dh_testdir
+	dh_testroot
+	sh -x debian/install_mahout.sh \
+	  --build-dir=debian/tmp \
+          --doc-dir=debian/mahout/usr/share/doc/mahout \
+	  --prefix=debian/mahout
+	dh_install -i
+	(dh_lintian) || /bin/true
+
+binary-common:	
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs
+	dh_installdocs
+#	dh_installexamples
+#	dh_installmenu
+#	dh_installdebconf
+#	dh_installlogrotate
+#	dh_installemacsen
+#	dh_installpam
+#	dh_installmime
+#	dh_python
+#	dh_installinit
+#	dh_installcron
+#	dh_installinfo
+	dh_installman
+	dh_link
+	dh_strip
+	dh_compress
+	dh_fixperms
+#	dh_perl
+	dh_makeshlibs
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary-indep: build-indep install-indep
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common
+
+binary-arch:	
+
+
+binary: binary-indep
+.PHONY: build clean binary-indep binary install-indep binary-arch

Propchange: incubator/bigtop/trunk/src/pkg/deb/mahout/rules
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/bigtop/trunk/src/pkg/rpm/mahout/BUILD/.gitignore
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/rpm/mahout/BUILD/.gitignore?rev=1162221&view=auto
==============================================================================
    (empty)

Added: incubator/bigtop/trunk/src/pkg/rpm/mahout/RPMS/.gitignore
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/rpm/mahout/RPMS/.gitignore?rev=1162221&view=auto
==============================================================================
    (empty)

Added: incubator/bigtop/trunk/src/pkg/rpm/mahout/SOURCES/.gitignore
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/rpm/mahout/SOURCES/.gitignore?rev=1162221&view=auto
==============================================================================
    (empty)

Added: incubator/bigtop/trunk/src/pkg/rpm/mahout/SPECS/mahout.spec
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/rpm/mahout/SPECS/mahout.spec?rev=1162221&view=auto
==============================================================================
--- incubator/bigtop/trunk/src/pkg/rpm/mahout/SPECS/mahout.spec (added)
+++ incubator/bigtop/trunk/src/pkg/rpm/mahout/SPECS/mahout.spec Fri Aug 26 19:39:05 2011
@@ -0,0 +1,97 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+%define mahout_name mahout
+%define lib_mahout /usr/lib/%{mahout_name}
+%define etc_mahout /etc/%{mahout_name}
+%define config_mahout %{etc_mahout}/conf
+%define log_mahout /var/log/%{mahout_name}
+%define bin_mahout /usr/bin
+%define man_dir /usr/share/man
+%define doc_mahout %{_docdir}/mahout-%{mahout_version}
+
+%if  %{?suse_version:1}0
+%define alternatives_cmd update-alternatives
+%else
+%define alternatives_cmd alternatives
+%endif
+
+# disable repacking jars
+%define __os_install_post %{nil}
+
+Name: mahout
+Version: %{mahout_version}
+Release: %{mahout_release}
+Summary: Mahout is a set of Java libraries for scalable machine learning.
+URL: http://mahout.apache.org
+Group: Development/Libraries
+BuildArch: noarch
+Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
+License: ASL 2.0 
+Source0: %{name}-distribution-%{mahout_base_version}-src.tar.gz
+Source1: install_%{name}.sh
+Requires: hadoop >= 0.20.2, /sbin/chkconfig
+
+
+%description 
+Mahout's goal is to build scalable machine learning libraries. 
+With scalable we mean:
+
+Scalable to reasonably large data sets. Our core algorithms for clustering,
+classfication and batch based collaborative filtering are implemented on top of
+Apache Hadoop using the map/reduce paradigm. However we do not restrict
+contributions to Hadoop based implementations: Contributions that run on a
+single node or on a non-Hadoop cluster are welcome as well. The core libraries
+are highly optimized to allow for good performance also for non-distributed
+algorithms.
+Scalable to support your business case. Mahout is distributed under a 
+commercially friendly Apache Software license.
+Scalable community. The goal of Mahout is to build a vibrant, responsive,
+diverse community to facilitate discussions not only on the project itself but
+also on potential use cases. Come to the mailing lists to find out more.
+    
+%prep
+%setup -n %{name}-distribution-%{mahout_base_version}
+
+%build
+
+mvn clean install -Dmahout.skip.distribution=false -DskipTests
+
+%install
+%__rm -rf $RPM_BUILD_ROOT
+sh $RPM_SOURCE_DIR/install_mahout.sh \
+          --build-dir=distribution/target/mahout-distribution-%{mahout_base_version}/mahout-distribution-%{mahout_base_version}
\
+          --prefix=$RPM_BUILD_ROOT \
+          --doc-dir=%{doc_mahout} 
+
+%post
+%{alternatives_cmd} --install %{config_mahout} %{mahout_name}-conf %{config_mahout}.dist
30
+
+%preun
+if [ "$1" = 0 ]; then
+        %{alternatives_cmd} --remove %{mahout_name}-conf %{config_mahout}.dist
+fi
+
+#######################
+#### FILES SECTION ####
+#######################
+%files 
+%defattr(-,root,root,755)
+%config %{config_mahout}.dist
+%doc %{doc_mahout}
+%{lib_mahout}
+%{bin_mahout}/mahout
+
+

Added: incubator/bigtop/trunk/src/pkg/rpm/mahout/SRPMS/.gitignore
URL: http://svn.apache.org/viewvc/incubator/bigtop/trunk/src/pkg/rpm/mahout/SRPMS/.gitignore?rev=1162221&view=auto
==============================================================================
    (empty)



Mime
View raw message